## org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards
Class MenuButton

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards.MenuButton

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class MenuButton

extends org.eclipse.swt.widgets.Composite

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`MenuButton(org.eclipse.swt.widgets.Composite parent, int style)`
`MenuButton(org.eclipse.swt.widgets.Composite parent, int style, boolean fixed)`

Method Summary
`void` `addSelectionListener(org.eclipse.swt.events.SelectionListener listener)`
`static org.eclipse.swt.graphics.RGB` `blend(org.eclipse.swt.graphics.RGB c1, org.eclipse.swt.graphics.RGB c2, int ratio)`
`org.eclipse.swt.graphics.Point` `computeSize(int wHint, int hHint, boolean changed)`
`static void` `drawArrow(org.eclipse.swt.graphics.GC gc, org.eclipse.swt.graphics.Rectangle rect, int style)`
`org.eclipse.swt.graphics.Image` `getImage()`
`java.lang.String` `getText()`
`void` `removeSelectionListener(org.eclipse.swt.events.SelectionListener listener)`
`void` `setBackground(org.eclipse.swt.graphics.Color color)`
`void` `setDropDownMenu(org.eclipse.swt.widgets.Menu menu)`
`void` `setEnabled(boolean enable)`
`void` `setFont(org.eclipse.swt.graphics.Font font)`
`void` `setForeground(org.eclipse.swt.graphics.Color color)`
`void` `setImage(org.eclipse.swt.graphics.Image image)`
`void` `setText(java.lang.String text)`
`void` `setToolTipText(java.lang.String string)`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, drawBackground, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuButton

    public MenuButton(org.eclipse.swt.widgets.Composite parent,
                      int style)

### MenuButton

    public MenuButton(org.eclipse.swt.widgets.Composite parent,
                      int style,
                      boolean fixed)

Method Detail

### getText

    public java.lang.String getText()

### getImage

    public org.eclipse.swt.graphics.Image getImage()

### setText

    public void setText(java.lang.String text)

### setToolTipText

    public void setToolTipText(java.lang.String string)

  Overrides:
    `setToolTipText` in class `org.eclipse.swt.widgets.Control`

### computeSize

    public org.eclipse.swt.graphics.Point computeSize(int wHint,
                                                      int hHint,
                                                      boolean changed)

  Overrides:
    `computeSize` in class `org.eclipse.swt.widgets.Composite`

### setImage

    public void setImage(org.eclipse.swt.graphics.Image image)

### setBackground

    public void setBackground(org.eclipse.swt.graphics.Color color)

  Overrides:
    `setBackground` in class `org.eclipse.swt.widgets.Control`

### setForeground

    public void setForeground(org.eclipse.swt.graphics.Color color)

  Overrides:
    `setForeground` in class `org.eclipse.swt.widgets.Control`

### setFont

    public void setFont(org.eclipse.swt.graphics.Font font)

  Overrides:
    `setFont` in class `org.eclipse.swt.widgets.Control`

### setEnabled

    public void setEnabled(boolean enable)

  Overrides:
    `setEnabled` in class `org.eclipse.swt.widgets.Control`

### setDropDownMenu

    public void setDropDownMenu(org.eclipse.swt.widgets.Menu menu)

### addSelectionListener

    public void addSelectionListener(org.eclipse.swt.events.SelectionListener listener)

### removeSelectionListener

    public void removeSelectionListener(org.eclipse.swt.events.SelectionListener listener)

### blend

    public static org.eclipse.swt.graphics.RGB blend(org.eclipse.swt.graphics.RGB c1,
                                                     org.eclipse.swt.graphics.RGB c2,
                                                     int ratio)

### drawArrow

    public static void drawArrow(org.eclipse.swt.graphics.GC gc,
                                 org.eclipse.swt.graphics.Rectangle rect,
                                 int style)